// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: interconnectionmodule/interconnectionmodule.proto

package openfmb.interconnectionmodule;

public final class Interconnectionmodule {
  private Interconnectionmodule() {}
  public static void registerAllExtensions(
      com.google.protobuf.ExtensionRegistryLite registry) {
  }

  public static void registerAllExtensions(
      com.google.protobuf.ExtensionRegistry registry) {
    registerAllExtensions(
        (com.google.protobuf.ExtensionRegistryLite) registry);
  }
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_interconnectionmodule_InterconnectionPoint_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_interconnectionmodule_InterconnectionPoint_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_interconnectionmodule_InterconnectionCSG_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_interconnectionmodule_InterconnectionCSG_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_interconnectionmodule_InterconnectionControlScheduleFSCH_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_interconnectionmodule_InterconnectionControlScheduleFSCH_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_interconnectionmodule_InterconnectionScheduleFSCC_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_interconnectionmodule_InterconnectionScheduleFSCC_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_interconnectionmodule_InterconnectionSchedule_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_interconnectionmodule_InterconnectionSchedule_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_interconnectionmodule_InterconnectionPlannedScheduleProfile_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_interconnectionmodule_InterconnectionPlannedScheduleProfile_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_interconnectionmodule_InterconnectionRequestedScheduleProfile_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_interconnectionmodule_InterconnectionRequestedScheduleProfile_fieldAccessorTable;

  public static com.google.protobuf.Descriptors.FileDescriptor
      getDescriptor() {
    return descriptor;
  }
  private static  com.google.protobuf.Descriptors.FileDescriptor
      descriptor;
  static {
    java.lang.String[] descriptorData = {
      "\n1interconnectionmodule/interconnectionm" +
      "odule.proto\022\025interconnectionmodule\032\tuml." +
      "proto\032\036google/protobuf/wrappers.proto\032\037c" +
      "ommonmodule/commonmodule.proto\"\245\004\n\024Inter" +
      "connectionPoint\0223\n\021blackStartEnabled\030\001 \001" +
      "(\0132\030.commonmodule.ControlSPC\022:\n\030frequenc" +
      "ySetPointEnabled\030\002 \001(\0132\030.commonmodule.Co" +
      "ntrolSPC\022(\n\006island\030\003 \001(\0132\030.commonmodule." +
      "ControlSPC\022/\n\npctHzDroop\030\004 \001(\0132\033.google." +
      "protobuf.FloatValue\022.\n\tpctVDroop\030\005 \001(\0132\033" +
      ".google.protobuf.FloatValue\022)\n\trampRates" +
      "\030\006 \001(\0132\026.commonmodule.RampRate\022<\n\032reacti" +
      "vePwrSetPointEnabled\030\007 \001(\0132\030.commonmodul" +
      "e.ControlSPC\0228\n\026realPwrSetPointEnabled\030\010" +
      " \001(\0132\030.commonmodule.ControlSPC\0228\n\026voltag" +
      "eSetPointEnabled\030\t \001(\0132\030.commonmodule.Co" +
      "ntrolSPC\0224\n\tstartTime\030\n \001(\0132\027.commonmodu" +
      "le.TimestampB\010\210\265\030\001\220\265\030\001\"[\n\022Interconnectio" +
      "nCSG\022E\n\006crvPts\030\001 \003(\0132+.interconnectionmo" +
      "dule.InterconnectionPointB\010\210\265\030\001\220\265\030\001\"j\n\"I" +
      "nterconnectionControlScheduleFSCH\022D\n\007Val" +
      "DCSG\030\001 \001(\0132).interconnectionmodule.Inter" +
      "connectionCSGB\010\210\265\030\001\220\265\030\001\"\300\001\n\033Interconnect" +
      "ionScheduleFSCC\0224\n\013controlFSCC\030\001 \001(\0132\031.c" +
      "ommonmodule.ControlFSCCB\004\200\265\030\001\022k\n\"interco" +
      "nnectionControlScheduleFSCH\030\002 \003(\01329.inte" +
      "rconnectionmodule.InterconnectionControl" +
      "ScheduleFSCHB\004\220\265\030\000\"\352\001\n\027InterconnectionSc" +
      "hedule\022>\n\020identifiedObject\030\001 \001(\0132\036.commo" +
      "nmodule.IdentifiedObjectB\004\200\265\030\001\022,\n\005check\030" +
      "\002 \001(\0132\035.commonmodule.CheckConditions\022a\n\033" +
      "interconnectionScheduleFSCC\030\003 \001(\01322.inte" +
      "rconnectionmodule.InterconnectionSchedul" +
      "eFSCCB\010\210\265\030\001\220\265\030\001\"\261\003\n%InterconnectionPlann" +
      "edScheduleProfile\022B\n\022controlMessageInfo\030" +
      "\001 \001(\0132 .commonmodule.ControlMessageInfoB" +
      "\004\200\265\030\001\022Q\n\036requesterCircuitSegmentService\030" +
      "\002 \001(\0132\037.commonmodule.ApplicationSystemB\010" +
      "\210\265\030\001\220\265\030\001\022Y\n\027interconnectionSchedule\030\003 \001(" +
      "\0132..interconnectionmodule.Interconnectio" +
      "nScheduleB\010\210\265\030\001\220\265\030\001\022=\n\010tiePoint\030\004 \001(\0132!." +
      "commonmodule.ConductingEquipmentB\010\210\265\030\001\220\265" +
      "\030\001\022Q\n\036responderCircuitSegmentService\030\005 \001" +
      "(\0132\037.commonmodule.ApplicationSystemB\010\210\265\030" +
      "\001\220\265\030\001:\004\300\363\030\001\"\263\003\n\'InterconnectionRequested" +
      "ScheduleProfile\022B\n\022controlMessageInfo\030\001 " +
      "\001(\0132 .commonmodule.ControlMessageInfoB\004\200" +
      "\265\030\001\022Q\n\036requesterCircuitSegmentService\030\002 " +
      "\001(\0132\037.commonmodule.ApplicationSystemB\010\210\265" +
      "\030\001\220\265\030\001\022Y\n\027interconnectionSchedule\030\003 \001(\0132" +
      "..interconnectionmodule.InterconnectionS" +
      "cheduleB\010\210\265\030\001\220\265\030\001\022=\n\010tiePoint\030\004 \001(\0132!.co" +
      "mmonmodule.ConductingEquipmentB\010\210\265\030\001\220\265\030\001" +
      "\022Q\n\036responderCircuitSegmentService\030\005 \001(\013" +
      "2\037.commonmodule.ApplicationSystemB\010\210\265\030\001\220" +
      "\265\030\001:\004\300\363\030\001B\237\001\n\035openfmb.interconnectionmod" +
      "uleP\001Z\\gitlab.com/openfmb/psm/ops/protob" +
      "uf/go-openfmb-ops-protobuf/v2/openfmb/in" +
      "terconnectionmodule\252\002\035openfmb.interconne" +
      "ctionmoduleb\006proto3"
    };
    descriptor = com.google.protobuf.Descriptors.FileDescriptor
      .internalBuildGeneratedFileFrom(descriptorData,
        new com.google.protobuf.Descriptors.FileDescriptor[] {
          openfmb.Uml.getDescriptor(),
          com.google.protobuf.WrappersProto.getDescriptor(),
          openfmb.commonmodule.Commonmodule.getDescriptor(),
        });
    internal_static_interconnectionmodule_InterconnectionPoint_descriptor =
      getDescriptor().getMessageTypes().get(0);
    internal_static_interconnectionmodule_InterconnectionPoint_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_interconnectionmodule_InterconnectionPoint_descriptor,
        new java.lang.String[] { "BlackStartEnabled", "FrequencySetPointEnabled", "Island", "PctHzDroop", "PctVDroop", "RampRates", "ReactivePwrSetPointEnabled", "RealPwrSetPointEnabled", "VoltageSetPointEnabled", "StartTime", });
    internal_static_interconnectionmodule_InterconnectionCSG_descriptor =
      getDescriptor().getMessageTypes().get(1);
    internal_static_interconnectionmodule_InterconnectionCSG_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_interconnectionmodule_InterconnectionCSG_descriptor,
        new java.lang.String[] { "CrvPts", });
    internal_static_interconnectionmodule_InterconnectionControlScheduleFSCH_descriptor =
      getDescriptor().getMessageTypes().get(2);
    internal_static_interconnectionmodule_InterconnectionControlScheduleFSCH_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_interconnectionmodule_InterconnectionControlScheduleFSCH_descriptor,
        new java.lang.String[] { "ValDCSG", });
    internal_static_interconnectionmodule_InterconnectionScheduleFSCC_descriptor =
      getDescriptor().getMessageTypes().get(3);
    internal_static_interconnectionmodule_InterconnectionScheduleFSCC_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_interconnectionmodule_InterconnectionScheduleFSCC_descriptor,
        new java.lang.String[] { "ControlFSCC", "InterconnectionControlScheduleFSCH", });
    internal_static_interconnectionmodule_InterconnectionSchedule_descriptor =
      getDescriptor().getMessageTypes().get(4);
    internal_static_interconnectionmodule_InterconnectionSchedule_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_interconnectionmodule_InterconnectionSchedule_descriptor,
        new java.lang.String[] { "IdentifiedObject", "Check", "InterconnectionScheduleFSCC", });
    internal_static_interconnectionmodule_InterconnectionPlannedScheduleProfile_descriptor =
      getDescriptor().getMessageTypes().get(5);
    internal_static_interconnectionmodule_InterconnectionPlannedScheduleProfile_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_interconnectionmodule_InterconnectionPlannedScheduleProfile_descriptor,
        new java.lang.String[] { "ControlMessageInfo", "RequesterCircuitSegmentService", "InterconnectionSchedule", "TiePoint", "ResponderCircuitSegmentService", });
    internal_static_interconnectionmodule_InterconnectionRequestedScheduleProfile_descriptor =
      getDescriptor().getMessageTypes().get(6);
    internal_static_interconnectionmodule_InterconnectionRequestedScheduleProfile_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_interconnectionmodule_InterconnectionRequestedScheduleProfile_descriptor,
        new java.lang.String[] { "ControlMessageInfo", "RequesterCircuitSegmentService", "InterconnectionSchedule", "TiePoint", "ResponderCircuitSegmentService", });
    com.google.protobuf.ExtensionRegistry registry =
        com.google.protobuf.ExtensionRegistry.newInstance();
    registry.add(openfmb.Uml.optionMultiplicityMin);
    registry.add(openfmb.Uml.optionOpenfmbProfile);
    registry.add(openfmb.Uml.optionParentMessage);
    registry.add(openfmb.Uml.optionRequiredField);
    com.google.protobuf.Descriptors.FileDescriptor
        .internalUpdateFileDescriptor(descriptor, registry);
    openfmb.Uml.getDescriptor();
    com.google.protobuf.WrappersProto.getDescriptor();
    openfmb.commonmodule.Commonmodule.getDescriptor();
  }

  // @@protoc_insertion_point(outer_class_scope)
}
